## virt-manager 2.0.0

=== debian/changelog ===
virt-manager (1:2.0.0-3ubuntu1) disco; urgency=medium

  * Merge with Debian unstable (LP: #1784424). Remaining changes:
    - Depend on gir1.2-appindicator3-0.1 for appindicator support.
    - d/p/mark-libvirt-lxc: Clearly mark the LXC connections as being
      libvirt-lxc, to avoid confusion due to differing features and
      configurations.
    - d/p/add_qemu_binaries.patch: add the actual binary name from the qemu
      packages so default hypervisor detection works properly on first run.
    - d/p/prefer-qemu.patch: Prefer QEMU as the default URI, even if it's
      not installed.
  * Dropped changes:
    - d/control: virtinst needs isoinfo to introspect images. To fix that
      add a dependency to genisoimage to virtinst (LP: 1763609)
      [accepted in Debian]
    - Merge with latest upstream stable release (LP: 1763618):
      - Fixes potential crash with libxml2 error callbacks
      - Fixes disk/net/mem VM graphs
      [part of upstream 2.0.0 release]
    - d/p/lp-1794315-connection-avoid-failing-on-NoneType.patch: fix a race
      (worse on slow remote connections) that would break connecting to a
      remote (LP: 1794315)
      [accepted upstream]
    - d/p/lp-1796932-tests-osdict-fix-ordering-issue-with-new-osinfo.patch:
      fix FTBFS due to self-tests failing with new osinfo (LP: 1796932)
      [accepted upstream]
    - d/p/virtinst/9006_fix_path_to_qemu-dm.patch: drop the full path from
      qemu-dm as already done for hvmloader and pygrub. The Xen tools will
      handle this and add the missing path.
      [no more needed as pygrub and hvmloader aren't hardcoded anymore]
    - d/rules: Set qemu user to libvirt-qemu so appropriate permissions get set.
      [now fetched as libvirt capability]
    - Add lsb-release to Build-Depends so we can detect whether we're running
      on Ubuntu or Debian.
      [no more needed]
    - d/rules: Set the preferred distro so we appear first in the list.
      [upstream dropped the option to prefer, due to the search based OS list]

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 23 Jan 2019 11:47:54 +0100

virt-manager (1:2.0.0-3) unstable; urgency=medium

  * Mark autopkgtest scripts executable
  * d/control: Depend on python3-distutils.
    (Closes: #919527, #919713)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 19 Jan 2019 13:30:01 +0100

virt-manager (1:2.0.0-2) unstable; urgency=medium

  * Disable internal test suite.
    The tests pass in pbuilder but not on the buildds. Let's disable it until
    one has time to investigate. (Closes: #918557)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 13 Jan 2019 13:40:12 +0100

virt-manager (1:2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0 (Closes: #916904)
  * Builds here without testsuit failures (Closes: #917673)
  * Rediff patches.
    Drop Xen related patches synce pygrub and hvmloader aren't hardcoded
    anymore.
  * Switch to python3
  * Don't ship gconf conversion anymore.
    We've done so for two releases.
  * virtinst: We don't ship virt-image anymore (Closes: #883789)
  * Depend on genisoimage.
    Thanks to Christian Ehrhardt (Closes: #895594)

 -- Guido Günther <agx@sigxcpu.org>  Sun, 06 Jan 2019 15:55:43 +0100

virt-manager (1:1.5.1-1) unstable; urgency=medium

  * Depend on e2fsprogs (Closes: #887285)
  * New upstream version 1.5.1
  * Rediff patches
  * d/control: Switch URLs to salsa
  * d/rules: Honor DEB_BUILD_OPTIONS

 -- Guido Günther <agx@sigxcpu.org>  Wed, 27 Jun 2018 11:38:12 +0200

virt-manager (1:1.5.1-0ubuntu2) cosmic; urgency=medium

  * d/p/lp-1794315-connection-avoid-failing-on-NoneType.patch: fix a race
    (worse on slow remote connections) that would break connecting to a
    remote (LP: #1794315)
  * d/p/lp-1796932-tests-osdict-fix-ordering-issue-with-new-osinfo.patch:
    fix FTBFS due to self-tests failing with new osinfo (LP: #1796932)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 09 Oct 2018 16:57:42 +0200

=== debian/control ===
Source: virt-manager
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Uploaders: Guido Günther <agx@sigxcpu.org>, Laurent Léonard <laurent@open-minds.org>
Standards-Version: 4.1.1
Vcs-Git: https://salsa.debian.org/libvirt-team/virt-manager.git
Vcs-Browser: https://salsa.debian.org/libvirt-team/virt-manager
Homepage: http://virt-manager.org/
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 intltool,
 libglib2.0-bin,
 python3-all,
# for the tests
 cpio,
 gir1.2-libosinfo-1.0,
 gir1.2-libvirt-glib-1.0,
 libvirt-daemon,
 python3-gi,
 python3-libvirt,
 python3-libxml2,
 python3-requests,
 unzip,

Package: virt-manager
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 python3-gi,
 python3-gi-cairo,
 python3-dbus,
 python-requests,
 librsvg2-common,
 python3-libvirt (>= 0.7.1),
 gir1.2-appindicator3-0.1,
 gir1.2-libvirt-glib-1.0,
 gir1.2-gtk-vnc-2.0,
 gir1.2-gtk-3.0 (>= 3.10),
 gir1.2-vte-2.91,
 gir1.2-libosinfo-1.0,
 virtinst (>= ${binary:Version}),
Recommends: libvirt-daemon-system (>= 1.2.7),
 gir1.2-spiceclientglib-2.0,
 gir1.2-spiceclientgtk-3.0,
Suggests: virt-viewer, ssh-askpass, gnome-keyring, gir1.2-secret-1,
 python3-guestfs
Description: desktop application for managing virtual machines
 It presents a summary view of running domains and their live performance &
 resource utilization statistics. A detailed view presents graphs showing
 performance & utilization over time. Ultimately it will allow creation of new
 domains, and configuration & adjustment of a domain's resource allocation &
 virtual hardware.  Finally an embedded VNC client viewer presents a full
 graphical console to the guest domain.
 .
 NOTE: the GUI is still considered experimental.

Package: virtinst
Architecture: all
Depends:
 ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 e2fsprogs,
 genisoimage,
 python3,
 python3-distutils,
 python3-libvirt (>= 0.4.6),
 python3-gi,
 python3-libxml2,
 python3-requests,
 gir1.2-libosinfo-1.0,
Recommends: virt-viewer, qemu-utils
Description: Programs to create and clone virtual machines
 Virtinst is a set of commandline tools to create virtual machines using
 libvirt:
 .
 virt-install: provision new virtual machines 
 virt-clone: clone existing virtual machines
 virt-xml: edit libvirt XML using command line options.
 virt-convert: convert virtual machines between formats

## virt-manager 2.0.0.6

=== debian/changelog ===
virt-manager (1:2.0.0.6-1+eagle) unstable; urgency=low

  * ['Autobuild release-candidate: ac4e1f69d9e99eb92cd70f5b577d27148ec911e9']

 -- shuttle <shuttle@deepin.com>  Tue, 12 May 2020 17:58:59 +0000

## virt-manager 2.2.1

=== debian/changelog ===
virt-manager (1:2.2.1-3ubuntu2.2) focal; urgency=medium

  * d/p/lp-2004618-add-4m-pattern.patch: added OVMF_CODE_4M.fd to patterns:
    Focal OVMF package has started shipping 4M firmware images with _4M
    suffix. This patch updates the UEFI x86_64 arch pattern list to cover
    these firmware images. (LP: #2004618)

 -- Mustafa Kemal GILOR <mustafa.gilor@canonical.com>  Mon, 06 Mar 2023 17:02:51 +0300

virt-manager (1:2.2.1-3ubuntu2.1) focal; urgency=medium

  * d/p/lp-1847105-addstorage-Return-to-using-qcow2-sparse-by-default.patch:
    fix slow disk allocation when using the defaults to to falloc (LP: #1847105)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 23 Sep 2020 07:19:04 +0200

virt-manager (1:2.2.1-3ubuntu2) focal; urgency=medium

  * Fix legacy-images path for focal. LP: #1872941

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 17 Apr 2020 18:26:25 +0100

virt-manager (1:2.2.1-3ubuntu1) focal; urgency=medium

  * Merge with Debian unstable (LP: #1855256). Remaining changes:
    - Depend on gir1.2-appindicator3-0.1 for appindicator support.
    - d/p/mark-libvirt-lxc: Clearly mark the LXC connections as being
      libvirt-lxc, to avoid confusion due to differing features and
      configurations.
  * Dropped changes
    - d/p/add_qemu_binaries.patch: add the actual binary name from the qemu
      packages so default hypervisor detection works properly on first run.
      [no more needed, works as-is]
    - d/p/prefer-qemu.patch: Prefer QEMU as the default URI, even if it's
      not installed.
      [no more needed, only affects xen hosts]
    - d/control: add missing gir1.2-gtksource-4 dependency (LP 1840677)
      [ in Debian 1:2.2.1-2 ]
    - update patches for context changes in 2.2
      [ in Debian 1:2.2.1-1 ]
    - d/virtinst.install: virtcli got merged with virtinst
      [ in Debian 1:2.2.1-1 ]
    - d/control: Drop superfluous python-requests dependency (LP 1825666)
      [ in Debian 1:2.2.1-1 ]
    - Merge with new upstream release v2.2
      [ in Debian 1:2.2.1-1 ]
    - Merge with new upstream release v2.2.1
      [ in Debian 1:2.2.1-1 ]

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 05 Dec 2019 12:12:07 +0100

virt-manager (1:2.2.1-3) unstable; urgency=medium

  * Add salsa-ci
  * Bump standards version

 -- Guido Günther <agx@sigxcpu.org>  Sat, 30 Nov 2019 15:07:53 +0100

virt-manager (1:2.2.1-2) unstable; urgency=medium

  * d/control: wrap and sort
  * d/control: Depend on gir1.2-gtksource-4 (Closes: #941249)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 08 Oct 2019 12:02:30 +0200

virt-manager (1:2.2.1-1) unstable; urgency=medium

  * Drop superfluous python-requests dependency (Closes: #921618)
  * tests: Mark test as superficial
  * New upstream version 2.2.1
    (Closes: #933707)
  * Rediff patches
  * Drop /u/share/virtcli from installed dirs
  * Switch to debhelper 12
  * Install app-data
  * Install bash completions

 -- Guido Günther <agx@sigxcpu.org>  Thu, 26 Sep 2019 17:30:36 +0200

virt-manager (1:2.2.1-0ubuntu2) eoan; urgency=medium

  * d/control: Drop superfluous python-requests dependency (LP: #1825666)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 19 Sep 2019 12:14:56 +0200

virt-manager (1:2.2.1-0ubuntu1) eoan; urgency=medium

  * Merge with new upstream release v2.2.1
    - d/control: add missing gir1.2-gtksource-4 dependency (LP: #1840677)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 20 Aug 2019 08:39:44 +0200

virt-manager (1:2.2.0-0ubuntu1) eoan; urgency=medium

  * Merge with new upstream release v2.2
    Amonth other fixes and improvements this fixes
    LP: #1826856 - KVM: Boot Configuration Override
    - update patches for context changes in 2.2
      - d/p/Use-usr-bin-python.patch
      - d/p/add_qemu_binaries.patch
      - d/p/mark-libvirt-lxc.patch
      - d/p/prefer-qemu.patch
    - d/virtinst.install: virtcli got merged with virtinst

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 26 Jun 2019 14:18:34 +0200

=== debian/control ===
Source: virt-manager
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Uploaders:
 Guido Günther <agx@sigxcpu.org>,
 Laurent Léonard <laurent@open-minds.org>,
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/libvirt-team/virt-manager.git
Vcs-Browser: https://salsa.debian.org/libvirt-team/virt-manager
Homepage: http://virt-manager.org/
Build-Depends:
 debhelper (>= 12~),
 dh-python,
 intltool,
 libglib2.0-bin,
 python3-all,
# for the tests
 cpio,
 gir1.2-libosinfo-1.0,
 gir1.2-libvirt-glib-1.0,
 libvirt-daemon,
 python3-gi,
 python3-libvirt,
 python3-libxml2,
 python3-requests,
 unzip,

Package: virt-manager
Architecture: all
Depends:
 gir1.2-appindicator3-0.1,
 gir1.2-gtk-3.0 (>= 3.10),
 gir1.2-gtk-vnc-2.0,
 gir1.2-gtksource-4,
 gir1.2-libosinfo-1.0,
 gir1.2-libvirt-glib-1.0,
 gir1.2-vte-2.91,
 librsvg2-common,
 python3-dbus,
 python3-gi,
 python3-gi-cairo,
 python3-libvirt (>= 0.7.1),
 virtinst (>= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 gir1.2-spiceclientglib-2.0,
 gir1.2-spiceclientgtk-3.0,
 libvirt-daemon-system (>= 1.2.7),
Suggests:
 gir1.2-secret-1,
 gnome-keyring,
 python3-guestfs,
 ssh-askpass,
 virt-viewer,
Description: desktop application for managing virtual machines
 It presents a summary view of running domains and their live performance &
 resource utilization statistics. A detailed view presents graphs showing
 performance & utilization over time. Ultimately it will allow creation of new
 domains, and configuration & adjustment of a domain's resource allocation &
 virtual hardware.  Finally an embedded VNC client viewer presents a full
 graphical console to the guest domain.
 .
 NOTE: the GUI is still considered experimental.

Package: virtinst
Architecture: all
Depends:
 e2fsprogs,
 genisoimage,
 gir1.2-libosinfo-1.0,
 python3,
 python3-distutils,
 python3-gi,
 python3-libvirt (>= 0.4.6),
 python3-libxml2,
 python3-requests,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 qemu-utils,
 virt-viewer,
Description: Programs to create and clone virtual machines
 Virtinst is a set of commandline tools to create virtual machines using
 libvirt:
 .
 virt-install: provision new virtual machines
 virt-clone: clone existing virtual machines
 virt-xml: edit libvirt XML using command line options.
 virt-convert: convert virtual machines between formats

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python2:
	dh_python3 -O--buildsystem=python_distutils
	dh_python3 -p virtinst usr/share/virt-manager

override_dh_auto_test:
ifneq (,$(filter check,$(DEB_BUILD_OPTIONS)))
	python3 setup.py test
else
	@echo "Checks disabled atm"
endif

override_dh_auto_install:
	python3 setup.py --no-update-icon-cache --no-compile-schemas install --force --root=debian/tmp --no-compile -O0
	dh_install debian/10_virt-manager.gschema.override \
		   /usr/share/glib-2.0/schemas/

override_dh_auto_clean:
	dh_auto_clean
	rm -f data/gschemas.compiled

=== debian/tests/control ===
Tests: help.sh
Restrictions: superficial
Depends: virtinst,

Tests: virt-manager.sh
Restrictions: superficial
Depends: virt-manager,
 xvfb,
 xauth,

=== debian/watch ===
version=3

https://releases.pagure.org/virt-manager/virt-manager-(.*)\.tar\.gz

## virt-manager 3.2.0

=== debian/changelog ===
virt-manager (1:3.2.0-3) unstable; urgency=medium

  * Drop the librsvg2-common dependency from virt-manager, as seems unused
  * Drop python3-distutils dependency from virt-manager, as no more needed
  * Explicitly add python3-distutils build dependency, used by setup.py
  * Drop the unzip build dependency, as seems not needed
  * Move the translations from virt-manager to virtinst.
    The virt-manager translations are used by the virt-* tools as well, so
    ship them in virtinst so the tools can be translated also without
    virt-manager installed.
  * Run the test suite also with LANGUAGE=C
  * d/clean: move from d/rules, and enhance

 -- Pino Toscano <pino@debian.org>  Sat, 05 Dec 2020 09:36:56 +0100

virt-manager (1:3.2.0-2) unstable; urgency=medium

  * Add gir1.2-ayatanaappindicator3-0.1 as primary alternative to
    gir1.2-appindicator3-0.1 (Closes: #974146)
  * virtinst: recommend libvirt-clients, as it can spawn virsh
    (Closes: #975545)
  * d/bug-presubj: tweak wording to make it more general
  * Install reportbug files in all binaries
  * d/bug-control: request status of some libvirt packages
  * d/bug-control: request status of osinfo-db
  * Remove obsolete field Name from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

 -- Pino Toscano <pino@debian.org>  Mon, 30 Nov 2020 11:23:19 +0100

virt-manager (1:3.2.0-1) unstable; urgency=medium

  * New upstream version 3.2.0:
    - fallback to AyatanaAppIndicator3 (Closes: #974146)
    - include Debian's armv7l UEFI binary (Closes: #973680)
  * Bump Standards-Version to 4.5.1, no changes required
  * Switch the watch file to version 4, no changes required
  * Run the test suite with LANG=C

 -- Pino Toscano <pino@debian.org>  Mon, 23 Nov 2020 09:53:12 +0100

virt-manager (1:3.1.0-1) unstable; urgency=medium

  [ Guido Günther ]
  * New upstream version 3.1.0

  [ Pino Toscano ]
  * Tighten virtinst dependency in virt-manager.
  * Add myself to Uploaders.
  * virtinst: suggest python3-argcomplete for bash autocompletion.

 -- Pino Toscano <pino@debian.org>  Sat, 24 Oct 2020 09:44:13 +0200

virt-manager (1:3.0.0-1) experimental; urgency=medium

  [ Pino Toscano ]
  * New upstream version 3.0.0
  * Remove all the patches, backported from upstream.
  * Update the build dependencies according to the upstream build system:
    - add python3-docutils, needed for rst2man
    - drop intltool, no more needed now
  * Update and sort the install files
  * Remove a no more needed lintian override
  * Remove virt-convert from the virtinst description.
    It was dropped upstream.
  * Bump debhelper-compat to 13; no changes required
  * Run the upstream test suite, which seems to work fine now:
    - add the genisoimage, python3-argcomplete, and python3-pytest build
      dependencies
    - run pytest-3 on dh_auto_test
  * Wrap a too long old changelog entry
  * help autopkgtest: remove virt-convert.
    It was dropped upstream.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 14 Oct 2020 09:27:24 +0200

virt-manager (1:2.2.1-5) unstable; urgency=medium

  [ Pino Toscano ]
  * Install 10_virt-manager.gschema.override directly w/ virt-manager.install
  * Pass /usr/share/virt-manager to dh_python3.
    This way it is used for all the packages, and shebangs are properly
    replaced; as a result:
    - Use-usr-bin-python.patch is dropped, as not needed anymore
    - the manual "python3" dependency in virtinst is dropped, as it is added
      automatically
  * Remove no more used _dh_python2 override
  * Ship the upstream NEWS.md file (Closes: #783886)
  * Drop debian/README, obsolete.
    Replaced by debian/README.Debian.
  * Annotate the test build dependencies as !nocheck
  * Replace the python3-all build dependency with python3
    virt-manager does not build Python modules, and it needs only the
    default version of Python.
  * Drop the empty ${shlibs:Depends} substvar from virtinst.
    It is a arch:all package.
  * Add Rules-Requires-Root: no.
    It builds fine as user.
  * Explicitly add the gettext build dependency.
    It is used to build the translations.
  * Update the description using the upstream texts (Closes: #887136)
  * Use https for links
  * Bump Standards-Version to 4.5.0, no changes required
  * Rewrite/update copyright as copyright-format v1.0 (Closes: #944467)
  * Switch from the debhelper build dependency to debhelper-compat
  * Override a lintian warning for a log option in documentation
  * Use the legacy installer URL for Ubuntu 20.04.
    Backport the upstream commit b55b7e94622dd039d00b6e21b5d28d44ab944693,
    adapting the patch to test_urls.ini.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 24 Aug 2020 10:33:10 +0200

virt-manager (1:2.2.1-4) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * Recommend gir1.2-appindicator3-0.1 for appindicator support.

  [ Debian Janitor ]
  * d/changelog: Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name, Repository,
    Repository-Browse.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 26 Apr 2020 13:41:56 +0200

=== debian/control ===
Source: virt-manager
Section: admin
Priority: optional
Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Uploaders:
 Guido Günther <agx@sigxcpu.org>,
 Laurent Léonard <laurent@open-minds.org>,
 Pino Toscano <pino@debian.org>,
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/libvirt-team/virt-manager.git
Vcs-Browser: https://salsa.debian.org/libvirt-team/virt-manager
Homepage: https://virt-manager.org/
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 gettext,
 python3,
 python3-distutils,
 python3-docutils,
# for the tests
 cpio <!nocheck>,
 genisoimage <!nocheck>,
 gir1.2-libosinfo-1.0 <!nocheck>,
 gir1.2-libvirt-glib-1.0 <!nocheck>,
 libglib2.0-bin <!nocheck>,
 libvirt-daemon <!nocheck>,
 python3-argcomplete <!nocheck>,
 python3-gi <!nocheck>,
 python3-libvirt <!nocheck>,
 python3-libxml2 <!nocheck>,
 python3-pytest <!nocheck>,
 python3-requests <!nocheck>,
Rules-Requires-Root: no

Package: virt-manager
Architecture: all
Depends:
 gir1.2-gtk-3.0 (>= 3.10),
 gir1.2-gtk-vnc-2.0,
 gir1.2-gtksource-4,
 gir1.2-libosinfo-1.0,
 gir1.2-libvirt-glib-1.0,
 gir1.2-vte-2.91,
 python3-dbus,
 python3-gi,
 python3-gi-cairo,
 python3-libvirt (>= 0.7.1),
 virtinst (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 gir1.2-ayatanaappindicator3-0.1 | gir1.2-appindicator3-0.1,
 gir1.2-spiceclientglib-2.0,
 gir1.2-spiceclientgtk-3.0,
 libvirt-daemon-system (>= 1.2.7),
Suggests:
 gir1.2-secret-1,
 gnome-keyring,
 python3-guestfs,
 ssh-askpass,
 virt-viewer,
Description: desktop application for managing virtual machines
 The virt-manager application is a desktop user interface for managing virtual
 machines through libvirt. It primarily targets KVM VMs, but also manages Xen
 and LXC (Linux containers). It presents a summary view of running domains,
 their live performance & resource utilization statistics. Wizards enable the
 creation of new domains, and configuration & adjustment of a domain's resource
 allocation & virtual hardware. An embedded VNC and SPICE client viewer
 presents a full graphical console to the guest domain.

Package: virtinst
Architecture: all
Depends:
 e2fsprogs,
 genisoimage,
 gir1.2-libosinfo-1.0,
 python3-gi,
 python3-libvirt (>= 0.4.6),
 python3-libxml2,
 python3-requests,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 libvirt-clients,
 qemu-utils,
 virt-viewer,
Suggests:
 python3-argcomplete,
Breaks:
 virt-manager (<< 1:3.2.0-3~),
Replaces:
 virt-manager (<< 1:3.2.0-3~),
Description: utilities to create and edit virtual machines
 This package contains some command line utilities to create and edit virtual
 machines:
 .
  - virt-clone: cloning existing inactive guests; it copies the disk images,
    and defines a config with new name, UUID and MAC address pointing to the
    copied disks
  - virt-install: provision operating systems into new virtual machines
  - virt-xml: easily edit libvirt domain XML using virt-install's command line
    options

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3 usr/share/virt-manager

override_dh_auto_test:
	# run it with English locales only, as it does not work otherwise:
	# https://github.com/virt-manager/virt-manager/issues/199
	LANG=C LANGUAGE=C pytest-3 -v -rs

override_dh_auto_install:
	python3 setup.py --no-update-icon-cache --no-compile-schemas install --force --root=debian/tmp --no-compile -O0

override_dh_installdocs:
	dh_installdocs --all NEWS.md

override_dh_bugfiles:
	dh_bugfiles --all

## virt-manager 4.0.0

=== debian/changelog ===
virt-manager (1:4.0.0-1) unstable; urgency=medium

  * New upstream version 4.0.0:
    - should properly support AyatanaAppIndicator3 (Closes: #990819)
  * Update standards version to 4.6.0, no changes needed.
  * Drop all the patches, fixed or backported from upstream
  * Update build/runtime dependencies according to upstream:
    - add python3-setuptools B-D
    - replace genisoimage with xorriso (Closes: #982235)
    - bump python3-gi to 3.31.3
  * Remove extra exec bits from .py files in /usr/share/virt-manager
  * Remove the forced C locale during tests, the issue was fixed upstream

 -- Pino Toscano <pino@debian.org>  Tue, 08 Mar 2022 07:44:37 +0100

virt-manager (1:3.2.0-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * d/patches: add some fixes from upstream
    - virtinst: Fix TOCTOU in domain enumeration
    - tests: storage: Fix with latest libvirt XML output
    - tests: use different USB device when testing hot-add
    - tests: don't add the same USB devices to the guest twice
    - tests: Fix hyperv @mode handling on libvirt 8.0.0
    (Closes: #997367)

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Tue, 01 Feb 2022 18:21:01 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Guido Günther <agx@sigxcpu.org>,
  Laurent Léonard <laurent@open-minds.org>,
  Pino Toscano <pino@debian.org>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/libvirt-team/virt-manager.git
 Vcs-Browser: https://salsa.debian.org/libvirt-team/virt-manager
 Homepage: https://virt-manager.org/
@@ -17,15 +17,16 @@
  python3,
  python3-distutils,
  python3-docutils,
+ python3-setuptools,
 # for the tests
  cpio <!nocheck>,
- genisoimage <!nocheck>,
+ xorriso <!nocheck>,
  gir1.2-libosinfo-1.0 <!nocheck>,
  gir1.2-libvirt-glib-1.0 <!nocheck>,
  libglib2.0-bin <!nocheck>,
  libvirt-daemon <!nocheck>,
  python3-argcomplete <!nocheck>,
- python3-gi <!nocheck>,
+ python3-gi (>= 3.31.3~) <!nocheck>,
  python3-libvirt <!nocheck>,
  python3-libxml2 <!nocheck>,
  python3-pytest <!nocheck>,
@@ -42,7 +43,7 @@
  gir1.2-libvirt-glib-1.0,
  gir1.2-vte-2.91,
  python3-dbus,
- python3-gi,
+ python3-gi (>= 3.31.3~),
  python3-gi-cairo,
  python3-libvirt (>= 0.7.1),
  virtinst (= ${binary:Version}),
@@ -72,9 +73,9 @@
 Architecture: all
 Depends:
  e2fsprogs,
- genisoimage,
+ xorriso,
  gir1.2-libosinfo-1.0,
- python3-gi,
+ python3-gi (>= 3.31.3~),
  python3-libvirt (>= 0.4.6),
  python3-libxml2,
  python3-requests,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3 usr/share/virt-manager

override_dh_auto_test:
	pytest-3 -v -rs

override_dh_auto_install:
	python3 setup.py --no-update-icon-cache --no-compile-schemas install --force --root=debian/tmp --no-compile -O0
	find debian/tmp/usr/share/virt-manager -perm /111 -name '*.py' -print -exec chmod -x {} \;

override_dh_installdocs:
	dh_installdocs --all NEWS.md

override_dh_bugfiles:
	dh_bugfiles --all

## virt-manager 4.1.0

=== debian/changelog ===
virt-manager (1:4.1.0-3ubuntu0.1) noble; urgency=medium

  * d/p/virtinstall-Fix-location-and-cloud-init-conflict.patch: do not ignore
    virt-install's --cloud-init option when used in conjunction with
    --location. (LP: #2073461)
  * d/p/upstream_tests-cli-Adjust-hotplug-test-for-latest-libvirt.patch:
    backport upstream patch to fix FTBFS on recent libvirt versions.
  * Drop the usage of distutils which also causes FTBFS on noble:
    - backport upstream patches to fully use setuptools when it has all the
      features needed
      + d/p/upstream_tests-cli-Adjust-hotplug-test-for-latest-libvirt.patch:
        Although it is not strictly necessary for the fix, the patch should be
        harmless and allows the next one to apply cleanly without
        modifications.
      + d/p/upstream_build-use-setuptools.command.build-when-available.patch
    - drop the python3-distutils build dependency, no more explicitly used

 -- Olivier Gayot <olivier.gayot@canonical.com>  Thu, 01 Aug 2024 14:18:26 +0200

virt-manager (1:4.1.0-3) unstable; urgency=medium

  * Add test-only locales-all build dependency, for the en_US.utf8 locale.
  * d/patches: fix tests with newer osinfo-db (Closes: #1042147)
  * Update standards version to 4.6.2, no changes needed.

 -- Pino Toscano <pino@debian.org>  Fri, 01 Sep 2023 22:13:14 +0200

virt-manager (1:4.1.0-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Explicitly specify --install-layout=deb in the Python module installation;
    fixes compatibility with Python 3.10 in Debian. (Closes: #1022339)

  [ Pino Toscano ]
  * Use dh-sequence-python3 B-D instead of manually using python3 dh addon.

 -- Pino Toscano <pino@debian.org>  Sun, 06 Nov 2022 13:09:07 +0100

virt-manager (1:4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0
  * Drop all the patches, backported from upstream
  * Remove inactive Uploaders
  * Drop removal of exec bits from .py files, as there are no more issues

 -- Pino Toscano <pino@debian.org>  Fri, 05 Aug 2022 08:35:08 +0200

virt-manager (1:4.0.0-3) unstable; urgency=medium

  [ Pino Toscano ]
  * Drop the python3-dbus dependency from virt-manager, no more needed.
    GDBus is used, instead of the Python bindings of libdbus.
  * Update standards version to 4.6.1, no changes needed.

  [ Fabio Fantoni ]
  * d/patches: add fixes from upstream for FTBFS with libvirt 8.5
    - tests: Fix with latest osinfo-db
    - tests: Fix with latest argcomplete
    - tests: Fix with latest libvirt
    (Closes: #1013667)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 04 Aug 2022 13:47:17 +0200

virt-manager (1:4.0.0-2) unstable; urgency=medium

  [ Fabio Fantoni ]
  * d/patches: add fixes from upstream for FTBFS with libvirt 8.1
    (Closes: #1008358)

 -- Pino Toscano <pino@debian.org>  Sun, 24 Apr 2022 11:08:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: virt-manager
 Section: admin
 Priority: optional
-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders:
  Guido Günther <agx@sigxcpu.org>,
- Laurent Léonard <laurent@open-minds.org>,
  Pino Toscano <pino@debian.org>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/libvirt-team/virt-manager.git
 Vcs-Browser: https://salsa.debian.org/libvirt-team/virt-manager
 Homepage: https://virt-manager.org/
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ dh-sequence-python3,
  gettext,
  python3,
- python3-distutils,
  python3-docutils,
  python3-setuptools,
 # for the tests
@@ -25,6 +25,7 @@
  gir1.2-libvirt-glib-1.0 <!nocheck>,
  libglib2.0-bin <!nocheck>,
  libvirt-daemon <!nocheck>,
+ locales-all <!nocheck>,
  python3-argcomplete <!nocheck>,
  python3-gi (>= 3.31.3~) <!nocheck>,
  python3-libvirt <!nocheck>,
@@ -42,7 +43,6 @@
  gir1.2-libosinfo-1.0,
  gir1.2-libvirt-glib-1.0,
  gir1.2-vte-2.91,
- python3-dbus,
  python3-gi (>= 3.31.3~),
  python3-gi-cairo,
  python3-libvirt (>= 0.7.1),

=== debian/watch ===
version=4

https://releases.pagure.org/virt-manager/virt-manager-(.*)\.tar\.gz

## virt-manager 5.0.0

=== debian/changelog ===
virt-manager (1:5.0.0-5+deb13u1) trixie; urgency=medium

  * Non-maintainer upload.
  * Fix: Clicking on "Browse Local" has no effect and throws an error (Closes:
    #1112514)
  * Update debian/gbp.conf to point to trixie branches

 -- Lee Garrett <debian@rocketjump.eu>  Tue, 28 Oct 2025 23:02:57 +0100

virt-manager (1:5.0.0-5) unstable; urgency=medium

  * virt-install: demote virt-viewer recommend to suggest (Closes: #912725)
  * Bump Standards-Version to 4.7.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 05 Apr 2025 07:20:17 +0200

virt-manager (1:5.0.0-4) unstable; urgency=medium

  * d/README.Debian: update location of libvirt's README.Debian.gz
    (Closes: #1068877)
  * d/rules: respect "nocheck" in $DEB_BUILD_OPTIONS

 -- Pino Toscano <pino@debian.org>  Tue, 28 Jan 2025 22:05:20 +0100

virt-manager (1:5.0.0-3) unstable; urgency=medium

  * Upload to unstable.
  * d/control: make virt-install provide virt-clone and virt-xml

 -- Pino Toscano <pino@debian.org>  Fri, 20 Dec 2024 07:42:21 +0100

virt-manager (1:5.0.0-2) experimental; urgency=medium

  * Rename the virtinst binary package to virt-install, matching the main tool
    in it:
    - rename the binary package, its install files, and all the references
      to it
    - add proper breaks/replaces to virtinst
    - add a virtinst transitional dummy binary package to ease the migration
      to it
  * Minor naming improvements to the autopkgtests:
    - rename 'help.sh' to 'help-virt-install'
    - rename 'virt-manager.sh' to 'help-virt-manager'
    This way they both match the package they test.
  * d/clean: drop, no more needed now with the separate meson build directory
  * d/control: drop breaks/replaces for versions older than Debian Bullseye

 -- Pino Toscano <pino@debian.org>  Thu, 19 Dec 2024 12:46:23 +0100

virt-manager (1:5.0.0-1) unstable; urgency=medium

  * Update watch file:
    - allow xz tarballs as well
    - use the upstream GPG signature of Cole Robinson and Pavel Hrdina
  * New upstream version 5.0.0
  * Drop all the patches, backported from upstream
  * Upstream switched to meson as buildsystem, so:
    - add the meson build dependency
    - drop the python3-setuptools build dependency
    - use --buildsystem=meson for dh
    - pass -Dcompile-schemas=false and -Dupdate-icon-cache=false to meson
      as equivalent of the previously passed options during install
    - pass -Dtests=disabled to meson, for now manually run pytest
    - drop the override_dh_auto_install, no more needed now

 -- Pino Toscano <pino@debian.org>  Sat, 14 Dec 2024 10:32:48 +0100

virt-manager (1:4.1.0-4) unstable; urgency=medium

  [ Fabio Fantoni ]
  [ Pino Toscano ]
  * d/patches: backport fixes from upstream for compatibility with newer
    versions of libvirt. (Closes: #1064672)

  [ Pino Toscano ]
  * Drop the usage of distutils: (Closes: #1066002)
    - backport upstream patches to fully use setuptools when it has all the
      features needed
    - drop the python3-distutils build dependency, no more explicitly used
  * Bump Standards-Version to 4.7.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 09 May 2024 10:08:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: virt-manager
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders:
  Guido Günther <agx@sigxcpu.org>,
  Pino Toscano <pino@debian.org>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/libvirt-team/virt-manager.git
 Vcs-Browser: https://salsa.debian.org/libvirt-team/virt-manager
 Homepage: https://virt-manager.org/
@@ -15,9 +14,9 @@
  dh-python,
  dh-sequence-python3,
  gettext,
+ meson,
  python3,
  python3-docutils,
- python3-setuptools,
 # for the tests
  cpio <!nocheck>,
  xorriso <!nocheck>,
@@ -46,7 +45,7 @@
  python3-gi (>= 3.31.3~),
  python3-gi-cairo,
  python3-libvirt (>= 0.7.1),
- virtinst (= ${binary:Version}),
+ virt-install (= ${binary:Version}),
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
@@ -69,7 +68,7 @@
  allocation & virtual hardware. An embedded VNC and SPICE client viewer
  presents a full graphical console to the guest domain.
 
-Package: virtinst
+Package: virt-install
 Architecture: all
 Depends:
  e2fsprogs,
@@ -84,13 +83,16 @@
 Recommends:
  libvirt-clients,
  qemu-utils,
- virt-viewer,
 Suggests:
  python3-argcomplete,
+ virt-viewer,
 Breaks:
- virt-manager (<< 1:3.2.0-3~),
+ virtinst (<< 1:5.0.0-2~),
 Replaces:
- virt-manager (<< 1:3.2.0-3~),
+ virtinst (<< 1:5.0.0-2~),
+Provides:
+ virt-clone (= ${binary:Version}),
+ virt-xml (= ${binary:Version}),
 Description: utilities to create and edit virtual machines
  This package contains some command line utilities to create and edit virtual
  machines:
@@ -101,3 +103,14 @@
   - virt-install: provision operating systems into new virtual machines
   - virt-xml: easily edit libvirt domain XML using virt-install's command line
     options
+
+Package: virtinst
+Architecture: all
+Section: oldlibs
+Depends:
+ virt-install (>= ${source:Version}),
+ ${misc:Depends},
+Description: transitional dummy package for virt-install
+ This is a transitional package for migrating to virt-install.
+ .
+ It can safely be removed after the upgrade.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.asc/ https://releases.pagure.org/virt-manager/virt-manager-(.*)\.tar\.(?:gz|xz)

## virt-manager 5.1.0

=== meson_options.txt ===
option('update-icon-cache', type: 'boolean', value: true, description: 'whether to run gtk-update-icon-cache')
option('compile-schemas', type: 'boolean', value: true, description: 'whether to compile gsettings schemas')

option('default-graphics', type: 'combo', choices: ['spice', 'vnc'], value: 'spice', description: 'default graphics type')
option('default-hvs', type: 'array', choices: ['qemu', 'xen', 'lxc', 'bhyve', 'vz'], description: 'list of hypervisors shown in "Open Connection" wizard')

option('tests', type: 'feature', value: 'auto', description: 'whether to run tests')

=== debian/changelog ===
virt-manager (1:5.1.0-1) unstable; urgency=medium

  * debian/upstream/signing-key.asc: merge signatures.
  * New upstream version 5.1.0
  * d/patches: fix virt-install CLI test case of win11/aarch64.

 -- Pino Toscano <pino@debian.org>  Sat, 30 Aug 2025 07:52:48 +0200

=== debian/tests/control ===
Tests: help-virt-install
Restrictions: superficial
Depends: virt-install,

Tests: help-virt-manager
Restrictions: superficial
Depends: virt-manager,
 xvfb,
 xauth,
